package com.ruoyi.brewery.mapper;

import java.util.List;
import com.ruoyi.brewery.domain.WyBeerQrcode;

/**
 * 酒品二维码Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public interface WyBeerQrcodeMapper 
{
    /**
     * 查询酒品二维码
     * 
     * @param id 酒品二维码主键
     * @return 酒品二维码
     */
    public WyBeerQrcode selectWyBeerQrcodeById(Long id);

    public WyBeerQrcode selectWyBeerQrcodeByCode(String code);
    /**
     * 查询酒品二维码列表
     * 
     * @param wyBeerQrcode 酒品二维码
     * @return 酒品二维码集合
     */
    public List<WyBeerQrcode> selectWyBeerQrcodeList(WyBeerQrcode wyBeerQrcode);

    /**
     * 新增酒品二维码
     * 
     * @param wyBeerQrcode 酒品二维码
     * @return 结果
     */
    public int insertWyBeerQrcode(WyBeerQrcode wyBeerQrcode);

    /**
     * 修改酒品二维码
     * 
     * @param wyBeerQrcode 酒品二维码
     * @return 结果
     */
    public int updateWyBeerQrcode(WyBeerQrcode wyBeerQrcode);

    /**
     * 删除酒品二维码
     * 
     * @param id 酒品二维码主键
     * @return 结果
     */
    public int deleteWyBeerQrcodeById(Long id);

    /**
     * 批量删除酒品二维码
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyBeerQrcodeByIds(Long[] ids);
}
